import request from '@/utils/request'

// 查询通告报名名片价格列表
export function listPrice(query) {
  return request({
    url: '/busi/price/list',
    method: 'get',
    params: query
  })
}

// 查询通告报名名片价格详细
export function getPrice(id) {
  return request({
    url: '/busi/price/' + id,
    method: 'get'
  })
}

// 新增通告报名名片价格
export function addPrice(data) {
  return request({
    url: '/busi/price',
    method: 'post',
    data: data
  })
}

// 修改通告报名名片价格
export function updatePrice(data) {
  return request({
    url: '/busi/price',
    method: 'put',
    data: data
  })
}

// 删除通告报名名片价格
export function delPrice(id) {
  return request({
    url: '/busi/price/' + id,
    method: 'delete'
  })
}
